Child pages
  • 01. Teste Procedimentos de criação da VM EID PDI ( Apenas para instituições que não utilizarão a VM Template)

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

1. Introdução

Esse roteiro apresenta o conjunto de ações necessárias para a configuração de um servidor Linux Ubuntu, 18.04 LTS, com os aplicativos necessários para o funcionamento do EID-PDI.


2. Requisitos

Os requisitos mínimos de hardware informados pelo fornecedor da Suite Pentaho 9.0 são os seguintes:

...

  • Processador: Para viabilizar processamento paralelo, recomendamos utilizar processadores com pelo menos 4 núcleos.
  • Memória RAM: 20 GB, com 10 GB dedicados ao Pentaho Server 9.0
  • Espaço em disco: 50 GB livres após a instalação.


3. Roteiro de instalação



3.1. Atualização do sistema operacional.

...

Code Block
languagebash
wget "https://svn.rnp.br/repos/CAFe/conf/shibboleth-idp/shib-v3/pdi-pentaho/mysql-connector-java-5.1.45-bin.jar"
cp mysql-connector-java-5.1.45-bin.jar /opt/pentaho-server/data/lib/
cp mysql-connector-java-5.1.45-bin.jar /opt/pentaho-server/tomcat/lib/


ATENÇAO:

Certifique-se que  na pasta /opt/pentaho-server/tomcat/lib/ não exista mais de uma versão do driver Mysql.

Se existir outro driver mysql em outra versão, como por exemplo, o  mysql-connector-java-5.1.17-bin.jar ele deve ser apagado.

A versão correta do driver mysql que deve ficar na pasta é  mysql-connector-java-5.1.45-bin.jar.

Ao atualizar o pentaho ou o driver é necessário testar se o driver novo é compatível com a versão. O Driver mysql-connector-java-5.1.17-bin.jar dá erro na execução dos jobs.


3.6. Instalação do plugin Saiku Analytics

...